Board index FlightGear Support Compiling

Problems "download_and_compile.sh" with 16.10 Ubuntu

Building FlightGear from source, and in the need for help?

Problems "download_and_compile.sh" with 16.10 Ubuntu

Postby abassign » Wed Oct 26, 2016 8:30 am

I checked out two compile difficulties of the FGFS program via the "download_and_compile.sh" script in the new version of Ubuntu / Kubuntu 16.10:

1: The library "libpng12-dev" is no longer available in the main repository. Correct this in the Linux/Ubuntu build file: "download_and_compile.sh"
Code: Select all
## PKG="$PKG libopenal-dev libudev-dev qt5-default libdbus-1-dev libpng12-dev libplib-dev" this line I have replace with this:
PKG="$PKG libopenal-dev libudev-dev qt5-default libdbus-1-dev libpng-dev libplib-dev"


2: I noticed that the 16.10 version of Ubuntu/Kubuntu does not install many things than older versions, for example the library gettext-base must be loaded,Otherwise the compiler stops with an error when compiling FGRUN.

I think it is useful that whoever maintains the script "download_and_compile.sh" make the necessary changes.
abassign
 
Posts: 696
Joined: Mon Feb 27, 2012 5:09 pm
Location: Bergamo - Italy (living 5 Km from airport LIME)
Callsign: I-BASSY
Version: 2016.3
OS: Linux Mint 17. x

Re: Problems "download_and_compile.sh" with 16.10 Ubuntu

Postby edroberts1943 » Wed Oct 26, 2016 4:23 pm

You can access the required library, libpng12-dev, by adding the repository that maintains it:

add: "http://mirrors.kernel.org/ubuntu/ xenial main" to the file /etc/apt/sources.list

The script will then run.
edroberts1943
 
Posts: 29
Joined: Sun Sep 11, 2016 8:08 pm
Location: Poquoson, Virginia, USA
Callsign: N9991W

Re: Problems "download_and_compile.sh" with 16.10 Ubuntu

Postby abassign » Wed Oct 26, 2016 8:06 pm

edroberts1943 wrote in Wed Oct 26, 2016 4:23 pm:You can access the required library, libpng12-dev, by adding the repository that maintains it:
add: "http://mirrors.kernel.org/ubuntu/ xenial main" to the file /etc/apt/sources.list
The script will then run.


Honestly I would avoid making these code mixtures, my question is this: "libpng12-dev" is different from "libpng-dev"? Because if it was not then, for Ubuntu / Kubuntu 10.16 may be convenient take this way.
abassign
 
Posts: 696
Joined: Mon Feb 27, 2012 5:09 pm
Location: Bergamo - Italy (living 5 Km from airport LIME)
Callsign: I-BASSY
Version: 2016.3
OS: Linux Mint 17. x

Re: Problems "download_and_compile.sh" with 16.10 Ubuntu

Postby Jet86 » Thu Oct 27, 2016 7:49 am

abassign wrote in Wed Oct 26, 2016 8:06 pm:Honestly I would avoid making these code mixtures, my question is this: "libpng12-dev" is different from "libpng-dev"? Because if it was not then, for Ubuntu / Kubuntu 10.16 may be convenient take this way.


http://osdir.com/ml/graphics.png.devel/ ... 00024.html suggest that they may in fact be the same.
Jet86
 
Posts: 52
Joined: Wed Jan 06, 2016 6:33 am
Location: Sydney
Version: 2016.3.1
OS: Mac OS X

Re: Problems "download_and_compile.sh" with 16.10 Ubuntu

Postby abassign » Wed Nov 09, 2016 1:09 pm

I do not know how many FGFs compile on Linux Debian or Ubuntu 10.16 Jessie, but the problem I reported still remains, I think Agree to make the change, since doing it all seems to be ok. I had yesterday another report by a user on the blog of FGFs Italy.
abassign
 
Posts: 696
Joined: Mon Feb 27, 2012 5:09 pm
Location: Bergamo - Italy (living 5 Km from airport LIME)
Callsign: I-BASSY
Version: 2016.3
OS: Linux Mint 17. x

Re: Problems "download_and_compile.sh" with 16.10 Ubuntu

Postby Amarildojr » Thu Nov 10, 2016 10:38 pm

It seems this package was removed in July, because of two bugs: https://launchpad.net/ubuntu/yakkety/amd64/libpng12-dev

Bug1 - https://bugs.launchpad.net/ubuntu/+sour ... bug/822318
Bug2 - https://bugs.launchpad.net/ubuntu/+sour ... ug/1595485

You can, however, download it and install it while it's not back in the repos (if it will ever come back): http://launchpadlibrarian.net/255287430 ... _amd64.deb

You can also download the source code and compile it.
https://launchpad.net/ubuntu/+source/li ... 4-1ubuntu1
Amarildojr
 
Posts: 94
Joined: Sat Jan 02, 2016 10:32 pm
Location: Basil
Callsign: TAM91
OS: Arch Linux

Re: Problems "download_and_compile.sh" with 16.10 Ubuntu

Postby wlbragg » Thu Nov 10, 2016 10:55 pm

I do not know how many FGFs compile on Linux Debian or Ubuntu 10.16 Jessie, but the problem I reported still remains, I think Agree to make the change, since doing it all seems to be ok.


I just D&C on a brand new, bare bone Debian Jessie and FG compiled stock. The only issue was with Terragear and that was an outdated gdal version. I still have a tgconstruct error I haven't tracked down yet.
Kansas(2-27-15)/Ohio/Midwest scenery development.
KEQA (2-27-15), 3AU, KRCP Airport Layout
User avatar
wlbragg
 
Posts: 3954
Joined: Sat Aug 25, 2012 11:31 pm
Location: Kansas (Tornado Alley), USA
Callsign: WC2020
Version: next
OS: Win10/Debain/nVGT640

Re: Problems "download_and_compile.sh" with 16.10 Ubuntu

Postby wkitty42 » Thu Nov 10, 2016 10:59 pm

a quick looks shows that maybe changing the package name to "libpng" could resolve it... otherwise someone will have to figure out how to have the script determine which release it is running on and which package to add to the list to be installed... but since FGRun is going to be removed at some point, i don't see that it is a big thing to worry about... especially not when it comes to complicating the script unnecessarily...
"You get more air close to the ground," said Angalo. "I read that in a book. You get lots of air low down, and not much when you go up."
"Why not?" said Gurder.
"Dunno. It's frightened of heights, I guess."
User avatar
wkitty42
 
Posts: 4291
Joined: Fri Feb 20, 2015 3:46 pm
Location: central NC, USA
Callsign: wk42
Version: git next
OS: Kubuntu 14.04.5


Return to Compiling

Who is online

Users browsing this forum: No registered users and 1 guest